Selectable.WritetimeOrTTL (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.selection

## Class Selectable.WritetimeOrTTL

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable
  - - org.apache.cassandra.cql3.selection.Selectable.WritetimeOrTTL

- Enclosing class:
    Selectable

      public static class Selectable.WritetimeOrTTL
      extends Selectable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Selectable.WritetimeOrTTL.Raw`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.selection.Selectable

      `Selectable.WithFieldSelection, Selectable.WithFunction, Selectable.WritetimeOrTTL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnIdentifier` | `id`
    `boolean` | `isWritetime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WritetimeOrTTL(ColumnIdentifier id, boolean isWritetime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Selector.Factory` | `newSelectorFactory(CFMetaData cfm, java.util.List<ColumnDefinition> defs)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.cql3.selection.Selectable

      `addAndGetIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public final ColumnIdentifier id

    - #### isWritetime

          public final boolean isWritetime

  - ### Constructor Detail

    - #### WritetimeOrTTL

          public WritetimeOrTTL(ColumnIdentifier id,
                                boolean isWritetime)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### newSelectorFactory

          public Selector.Factory newSelectorFactory(CFMetaData cfm,
                                                     java.util.List<ColumnDefinition> defs)
                                              throws InvalidRequestException

      Specified by:
        `newSelectorFactory` in class `Selectable`
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation